# Setup NETVS

!!! warning
    If your organizational unit is managed by ATIS (Abteilung Technische Infrastruktur), this process will most
    likely not work for you, because ATIS adds another management layer on top of NETVS.
    Please contact ATIS for how to work with ACME.

## Variant 1: Setup using NETVS Service-Accounts (recommended)
### Create a NETVS Service Account
!!! note
    For the following steps, it is necessary that you are an administrator of the NETVS OU to which the domains you need certificates for are assigned.
    You can check the [NETVS OU Page](https://netvs.scc.kit.edu/org/ou) to check your OU assignments.
* Navigate to [NETVS Hub](https://netvs.scc.kit.edu/tools/hub)
* Click "Execute" on "Service Account for ACME"
* Fill in the form. Please check the description of the fields for details about their contents.
* Execute the transaction.
* Afterwards you should see the newly created NETVS service accounts on the [NETVS Service Accounts Page](https://netvs.scc.kit.edu/cntl/svc-accounts).

You can manually add more domains and managing accounts to the assigned group if necessary. 
### Create Subgroup and Token
!!! note
    For the following steps, it is necessary that you share a group with the previously created NETVS Service Account.
    OU administrators can delegate service account permissions to other accounts by adding them to the "Managing Accounts" field in the
    "Service Account for ACME" dialogue.

    If you can see the Service Account in the [NETVS Service Accounts Page](https://netvs.scc.kit.edu/cntl/svc-accounts) page you possess all required permissions.

* Navigate to the [NETVS Service Accounts Page](https://netvs.scc.kit.edu/cntl/svc-accounts).
    * Please note the group name which has access to the desired domain, you will need it later.
* Click the "Impersonate" button for the respective service account.
* The NETVS is now seen from the "perspective" of the service account.
* Navigate to [NETVS Hub](https://netvs.scc.kit.edu/tools/hub).
* Click "Execute" on "Create API Token for FQDNs".
* Fill in the form.
    * Use the group previously noted as "Group".
    * Fill in the domains for which you want to request certificates for.
* Execute the transaction.
* You receive a token which possesses all required permissions to use it with ACME4NETVS.
## Variant 2: Setup using SCC Service-Accounts
### Pre-Setup
* [Create or request a service account](https://www.scc.kit.edu/dienste/8637.php)
* Wait for at least an 1 hour for the identity management synchronisation

### Assigning rights to the new service account
* Log in to NETVS (using your normal account).
* Go to https://netvs.scc.kit.edu/org/ou
* Select your OE, remember the »OE-Kurzbezeichnung«
* Make sure your account is listed as »OE-Betreuer«
  ![](assets/img/OE_Betreuer.png)
* Go to https://netvs.scc.kit.edu/cntl/groups (click on »Gruppen« in the left navigation bar)
* Create a new group »Neue Gruppe anlegen«
  * Important: Add the »OE-Kurzbezeichnung«
  ![](assets/img/Add_OE_Group.png)
* Add your Service Account as Group Member (Gruppenmitglieder → +)
  ![](assets/img/Add_Group_Member_To_Group.png)
* Add Domains to your Group (Domains → +)
  ![](assets/img/Add_Domain.png)

### Creating Tokens

!!! note
    All steps happen on the Serviceaccount, not on your normal account

* Log in to NETVS using the Serviceaccount (you can use the »incognito mode« of your browser)
* In the upper right, click on your service account name and then »Unterkonten & API-Tokens«
* Click on »Unterkonto erstellen«
    ![](assets/img/Add_Subaccount.png)
    * Add a nice description
    * Deactivate "alle Rollen übernehmen"
    * Activate (don't change preset) "Kontozugriff auf datenmodifizierende Funktionen"
* Open the newly created subaccount, go to »Tokens«, click on »+«
* Add a description, click on »Anlegen«, run the transaction
* You now have a token (but without permissions).

### Add at least one subgroup

!!! note
    All steps happen on the Serviceaccount, not on your normal account

* Now, create a subgroup (Untergruppen → »Neue Untergruppe anlegen und beitreten«)
* Depending on your permission management, there are two ways:

  1. Create a group for every domain or server.
     * Un-Tick »Zuordnungen der Hauptgruppe übernehmen«
	 * Add domains to the subgroup (as in the previous step)
  2. Create one group to rule them all.
     Leave the tick at »Zuordnungen der Hauptgruppe übernehmen«


### Assign permission to the subaccount

!!! note
    All steps happen on the Serviceaccount, not on your normal account

* You must add the subaccount to the right subgroup.
* Copy the subaccount ID (Pattern: `XXXXXXXXXXX==[SUBM]`)
* Go to the Groups, select the previously created subgroup.
* Click on Mitglieder and  »+«
* Paste the subaccount ID into »Konto-Benutzerkennung«
