# Manueller Weg zur Beantragung von Personen- und Funktionszertifikaten

Diese Seite beschreibt den aktuellen (übergangs-)Weg zur Beantragung von Zertifikaten
zum Signieren und Entschlüsseln von E-Mails.

Die eigentliche Zertifikats-Erstellung nutzt das [GÉANT TCS Projekt](https://security.geant.org/trusted-certificate-services/){:target="_blank"},
die wiederum auf [Sectigo](https://www.sectigo.com/){:target="_blank"} als Dienstleister zurückgreifen.

!!! danger "Bitte unbedingt beachten!"
    Falls Sie den Prozess lieber explorativ durchlaufen, statt diese Anleitung durchzuarbeiten,
    beachten Sie bitte trotzdem unbedingt <a href=#p12-encryption-warning>diesen Hinweis</a>.

<a name="request-certificate"></a>
## Zertifikat beantragen

Loggen Sie sich im [CA-Portal](https://portal.ca.kit.edu){:target="_blank"} mit dem Account ein, für dessen
E-Mail-Adressen Sie ein Zertifikat haben wollen. Nutzen Sie gegebenenfalls den privaten Modus ihres Browsers, wenn
Sie bereits mit einem anderen Account eingeloggt sind.

### Zertifikatstyp wählen

Personenzertifikate sind an eine natürliche Person gebunden und werden nur für die E-Mail-Adressen des dazugehörenden
KIT-Accounts ausgestellt. Vor dem Beantragen muss gemäß Policy eine persönliche Identifizierung stattfinden. Diese ist
aktuell zehn Jahre gültig. Man erkennt Personenzertifikate daran, dass im „Zertifikatsnamen“ (korrekt: Common Name)
der natürliche Name des Besitzenden steht. 

Funktions-/Gruppenzertifikate sind funktional äquivalent zu Personenzertifikaten. Sie sind nicht an eine einzelne Person
gebunden, sondern dürfen mit alle Nutzenden der zugehörigen E-Mail-Postfächer geteilt werden. Funktionszertifikate
enthalten nur die zugehörigen E-Mail-Adressen und keinen „Zertifikatsnamen“ (Common Name). Auch für persönliche
E-Mail-Adressen können Funktions- statt Personenzertifikate genutzt werden. In diesem Fall entfällt die Identifikation.

!!! danger "Mailinglisten"
    Funktionszertifikate können mit dem aktuellen Prozess von Sectigo nicht für Mailinglisten (@lists.kit.edu und
    @listserv.dfn.de) ausgestellt werden; da die Challenge dafür direkt an die Listenmitglieder versendet werden würde.
    Falls Sie ein solches Zertifikat benötigen [schicken Sie uns bitte eine E-Mail](mailto:kit-ca-betrieb@scc.kit.edu?subject=TCS%20Certificate%20Request%20for%20mailinglist) zur Koordination des Prozesses.

Wählen Sie `Beantragen` beim gewünschten Zertifikatstyp aus:

![](img/ca-portal_de_request_01.png){ width="796" }

### Personenzertifikat

Falls Sie keine gültige Identifizierung haben, können Sie kein Personenzertifikat beantragen:

![](img/ca-portal_de_request_02_personal_no-ident.png){ width="796" }

Wählen Sie eine der dort beschrieben Optionen.

Wenn Sie eine gültige Identifizierung haben, können Sie im nächsten Schritt auswählen, welche E-Mail-Adressen ins
Zertifikat geschrieben werden sollen:

![](img/ca-portal_de_request_10_personal_select_email.png){ width="800" }

Jetzt werden nochmal alle Daten angezeigt, die ins Zertifikat geschrieben werden. Wählen Sie `Absenden`, wenn alles
korrekt ist:

![](img/ca-portal_de_request_20_personal_submit.png){ width="800" }

Folgen Sie den Anweisungen im Browser.

### Funktionszertifikat

Geben Sie alle E-Mail-Adressen ein, die in das Zertifikat geschrieben werden sollen. Beachten Sie die Hinweistexte im Portal!

![](img/ca-portal_de_request_10_functional_add_emails.png){ width="800" }

Jetzt werden nochmal alle Daten angezeigt, die ins Zertifikat geschrieben werden. Wählen Sie `Absenden`, wenn alles
korrekt ist:

![](img/ca-portal_de_request_20_functional_submit.png){ width="800" }

<a name="sectigo-process"></a>
## Den Sectigo-Prozess korrekt durchlaufen

Sobald wir ihren Antrag beim aktuellen CA-Dienstleister (Sectigo) eingegeben haben,
bekommen Sie von dort eine E-Mail (aktuell vom Absender
`Sectigo Certificate Manager <support@cert-manager.com>`).

!!! tip "Hinweis für Beantragende, die keinen Zugriff auf die Funktionspostfächer haben"
    Diese E-Mail wird nur an die E-Mail-Adressen aus dem Antrag verschickt. Wenn Sie – beispielsweise
    als IT-Beauftragter – ein Funktionszertifikat beantragen und __keinen__ Zugriff auf die
    relevanten Postfächer haben, können Sie den Prozess ab hier nicht weiter betreuen.
    Sie können entweder den weiteren Prozess den Benutzern des Funktionspostfachs überlassen oder
    diese bitten, die Mail von Sectigo an Sie weiterzuleiten und auf keine Links zu klicken.

Diese E-Mail sieht so aus:

![](img/tcs_sectigo_personal_certificate_request_email.png){ width="450" }

### E-Mail-Validierung (nur manchmal nötig)

<a name="sectigo-system-requirements"></a>
!!! tip "Systemvoraussetzungen"
    Der hier beschriebene Prozess funktioniert nur zuverlässig auf Desktop-Betriebssystemen mit einem
    modernen Webbrowser, der uneingeschränkt Javascript ausführen kann.

<a name="sectigo-link-is-single-use"></a>
!!! warning
    Der Link von Sectigo funktioniert nur genau ein Mal. Öffnen Sie ihn also nur auf dem Gerät, auf
    dem Sie das Zertifikat auch tatsächlich Erzeugen und Speichern wollen.

Wenn Sie dem Link in der E-Mail folgen, werden so unter bestimmten Umständen aufgefordert
ihre E-Mail-Adresse zu validieren. Falls das bei Ihnen nicht der Fall ist, können Sie diesen
Absatz einfach überspringen:

![](img/tcs_sectigo_personal_certificate_request_validate_email_01.png){ width="509" }

Geben Sie in diesem Fall die exakte Empfänger-E-Mail-Adresse aus der initialen E-Mail
von Sectigo ein:

![](img/tcs_sectigo_personal_certificate_request_validate_email_02.png){ width="532" }

Nach dem Absenden bekommen sie eine zweite E-Mail mit dem korrekten Beantragungs-Link:

![](img/tcs_sectigo_personal_certificate_request_validate_email_response_01.png){ width="450" }

### Formular zum Zertifikats-Beantragung öffnen

Öffnen Sie den Link in der neuesten E-Mail von Sectigo. Sie landen dann auf einer
solchen Webseite:

![](img/tcs_sectigo_personal_certificate_request_certificate_enrollment_form_01.png){ width="375" }

### Zertifikat beantragen

Ändern Sie bitte keine Einstellungen auf dieser Seite (die meisten Änderungen haben hier
sowieso keinen Effekt). Akzeptieren Sie den Endbenutzer-Lizenzvertrag (EULA; leider nur
auf Englisch verfügbar) und drücken Sie den `Submit`-Knopf.

Ihr Webbrowser erzeugt jetzt einen neuen privaten Schlüssel und lässt dafür bei Sectigo
ein neues Zertifikat erzeugen. Beides wird im nächsten Schritt dann heruntergeladen.

<a name="do-not-interrupt"></a>
!!! warning "Bitte nicht unterbrechen!"
    Warten Sie unbedingt, bis der Prozess beendet ist. Das kann bei hoher Last durchaus
    zehn Minuten dauern. Leider gibt es keine Anzeige des Prozess-Fortschritts oder
    andere „Lebenszeichen“. Bitte die Seite weder schließen noch neu laden. Beides
    sorgt für einen Abbruch des Beantragungsprozesses. Sie müssen dann nochmal ganz
    von vorne beginnen.

Falls hier Probleme (beispielsweise Timeouts) auftreten, ist der neue private Schlüssel
für immer verloren und das zugehörige Zertifikat nicht benutzbar. Sie müssen dann den
Prozess von vorne beginnen. Falls hier dauerhaft Probleme auftreten schicken Sie uns
bitte eine genaue Problembeschreibung [per E-Mail](mailto:kit-ca-betrieb@scc.kit.edu?subject=TCS%20Certificate%20Request%20breaks%20on%20key%20generation).

![](img/tcs_sectigo_personal_certificate_request_certificate_enrollment_form_02.png){ width="375" }

### Fertiges Zertifikat herunterladen

Nach erfolgreicher Zertifikats-Erstellung werden Sie auf diese Seite weitergeleitet.

<a name="p12-encryption-warning"></a>
!!! danger "Unbedingt beachten"
    Das vorausgewählte **Secure AES256-SHA256** erzeugt auf fast allen verbreiteten
    Plattformen wie Windows sowie Apple-Systeme Probleme. Stellen Sie hier auf jeden Fall
    **Compatible TripleDES-SHA1** ein!
    
    [Hier](https://www.ca.kit.edu/p/faq/de/fix-tcs-p12){:target="_blank"} finden Sie eine
    Anleitung zum Reparieren falsch gespeicherte Zertifikats-Dateien.
    
    Falls das für sie keine Option ist, müssen Sie ein neues Zertifikat beantragen.

Ändern Sie **Secure AES256-SHA256**:

![](img/tcs_sectigo_personal_certificate_request_certificate_enrollment_form_03_secure.png){ width="404" }

auf **Compatible TripleDES-SHA1**:

![](img/tcs_sectigo_personal_certificate_request_certificate_enrollment_form_03_compatible.png){ width="404" }

Wählen Sie ein sicheres Passwort (Sie können [diesen Dienst](https://www.cert.kit.edu/p/PasswordGenerator){:target="_blank"}
dafür benutzen) zum Verschlüsseln ihres neuen Schlüssels und Zertifikats.
Der `Download`-Knopf starten den Download des neuen Zertifikats + privaten Schlüssels im
[PKCS12-Format](https://en.wikipedia.org/wiki/PKCS_12){:target="_blank"} (Dateiendung `.p12` oder `.pfx`).

!!! warning
    Sie können diese Seite schliessen, nachdem Sie sichergestellt haben, dass ihr neues Zertifikat korrekt
    heruntergeladen wurde. Wenn Sie die PKCS12-Datei __nicht__ finden können, ist der geheime Schlüssel für immer
    verloren und Sie müssen den Prozess nochmal von vorne beginnen.

<a name="install-certificate"></a>
## Neues Zertifikat einbinden

Die eben heruntergeladene Datei kann normalerweise durch Doppelklick (Windows, macOS) in das Betriebssystem importiert werden.

Thunderbird unter Linux muss das Zertifikat direkt in der Anwendung importieren: _Einstellungen_ → _Datenschutz & Sicherheit_ → _Zertifikate verwalten…_.
Dort den Reiter _Ihre Zertifikate_ wählen, dann _Import…_.  Dann in den Einstellungen des passenden E-Mail-Kontos das Zertifikat für Verschlüsselung und Signatur auswählen.
<!-- TODO: Ausführliche Anleitung mit Bildern machen -->

## Backup erstellen

Machen Sie spätestens **jetzt** eine Sicherungskopie. Sie brauchen bis zum Ende ihres (Dienst-)Verhältnisses mit dem KIT
**jedes** Schlüssel/Zertifikats-Paar (in der Regel ist das die `.p12`-Datei), für das Sie jemals verschlüsselte E-Mails
empfangen haben.

Sichern Sie sowohl die Zertifikatsdatei als auch das Passwort so, dass sie beides in vielen Jahren noch sicher
wiederfinden und lesen können. Aus Sicherheitsgründen empfielt es sich, beides getrennt voneinander zu sichern. 

??? note ":construction: Work in Progress"
    Dieser Abschnitt ist leider noch etwas rudimentär & unvollständig.

## E-Mail-Client einrichten

* Anleitung für [Outlook in Windows](/guides/de/configure_outlook/)
* Anleitung für [macOS & Apple Mail](/guides/de/install_p12_macos/)
