# Übergangs-Prozess zur Ausstellung von Zertifikaten bei Sectigo

!!! note
    Diese Anleitung ist nur für CA-Mitarbeiter relevant.

## Prerequisites

Besorge einen RAO-Account für [Sectigo](https://cert-manager.com/customer/DFN){:target="_blank"}.

Stelle sicher, dass Du Zugang zum Identifikations-Teil des [CA-Portals](https://portal.ca.kit.edu/create-ident){:target="_blank"} hast.

Es werden zwei cli-Tools benötigt. Es ist aus Ergonomie-Gründen geschickt, diese auf dem gleichen Rechner zu installieren und zu konfigurieren.

1. Installiere und konfiguriere [kituserlookup](https://gitlab.kit.edu/kit/kit-cert/tools/kituserlookup){:target="_blank"}
2. Installiere und konfiguriere [shitigo](https://gitlab.kit.edu/kit/kit-ca/tools/shitigo){:target="_blank"}

Mache dich grob mit den Symbolen von `kituserlookup` vertraut (da deine Emoji-Symbole potenziell anders aussehen:
gibt `kituserlookup help-symbols` in deinem präferierten Terminal ein):

![](img/358f80c1-93d6-485f-b4b8-bafd974a4e82_kul_help-symbols.png){ width="791" }

Richte dir im [SCC-Ticketsystem](https://itsupport.scc.kit.edu/otrs/index.pl){:target="_blank"} diese zwei Such-Vorlagen ein

![](img/358f80c1-93d6-485f-b4b8-bafd974a4e82_znuny_search_person.png){ width="474" }
![](img/358f80c1-93d6-485f-b4b8-bafd974a4e82_znuny_search_groups.png){ width="474" }

Passe *Agent/Owner* so an, dass dort **Nicht zugeordnet**, du selbst sowie sämtliche Personen angewählt sind, deren
Tickets du potenziell übernehmen willst.

Man kann auch nur mit einer Suchvorlage „Neue Zertifikatsanträge“ arbeiten. Dazu ändert man die das Feld *Title* auf
`Neues ` und muss dann bei jedem Ticket schauen, ob es um Personen- oder Funktions-Zertifikate geht. Die Erfahrung
zeigt, dass dies den Arbeitsfluß merklich stört.

Suche alle zu bearbeitenen Anträge (entweder gemischt oder nach Typ getrennt). Falls irgendwelche Tickets **nicht**
in der Queue **IT-Sicherheit::KIT-CA-Betrieb** sind, verschiebe diese mittels **Bulk**-Edit (sonst fehlen
Antwort-Vorlagen). Öffne diese in neuen Browser-Tabs (Middle-Click in den meisten Browsern).

## Arbeitsschritte pro Ticket

Sperre das Ticket. Wenn du einen großen Stapel am Stück abarbeiten willst, sperre diese im vorherigen Schritt mittels
Bulk-Edit.

Prüfe je nach Art des Antrags, ob dieser so bearbeitet werden kann.

### Antragsprüfung bei Personenzertifikat

Kopiere den Benutzernamen des Antragstellers aus dem Kasten *Kundeninformation*:

![](img/358f80c1-93d6-485f-b4b8-bafd974a4e82_znuny_custdomer_info.png){ width="251" }

Hole die AD-Daten zum Antragsteller aus dem AD mittels `kituserlookup`:

![](img/358f80c1-93d6-485f-b4b8-bafd974a4e82_kul_ge3242.png){ width="712" }

#### Frage: ist der Antragsteller schon identifiziert?

Hat er (Ausgabe `kituserlookup`) bereits ein Personenzertifikat (egal welche der zwei CAs)? Wenn ja: ✅.

Wenn nein: suche den Account [hier im CA-Portal](https://portal.ca.kit.edu/create-ident){:target="_blank"} und starte
eine neue Identifizierung. Werden hier gültige Identifizierungen angezeigt? Wenn ja: ✅.

Wenn nicht: Beantworte das Ticket mit der Vorlage __KIT-CA Betrieb: Identifizierung nötig__ und setze den Status auf
__warten auf schließen__.

!!! danger "neues Sectigo-Zertifikat von heute"
    Existiert ein aktuelles Sectigo-Zertifikat von heute (Zertifikatsliste aus `kituserlookup` zeigt ein 🚨) für die
    vom Antragsteller gewünschte Liste an E-Mail-Adressen? Dann sperre vorher dieses Zertifikat, sonst gibt's eine
    50%-Chance, dass im AD das falsche Zertifikat landet. 
    
    Dann logge dich in [Sectigo](https://cert-manager.com/customer/DFN){:target="_blank"} ein.
    
    Gehe zu ☰ → Persons. Öffne dort den Filter (:material-filter-variant:) und suche dort nach der Mailadresse des
    Antragstellers mittels _Email_ _contains_. Markiere (Ckeckbox links) die Person, clicke auf den Button
    **Certificates**, wähle anhand der Seriennummer (Hex) das korrekte Zertifikat und markiere dieses (Ckeckbox links).
    Klicke dann auf den Button __Revoke__, wähle als _Revocation Reason_ _Superseeded_ und vermerke unter _Message_
    sie SCC-Ticketnummer. Klicke auf __Revoke__.

#### Frage: sind die angefragten E-Mail-Adressen zertifizierungsfähig?

Prüfe, ob alle Domains in der [Sectigo-Domainliste](https://cert-manager.com/customer/DFN?locale=en#domains){:target="_blank"}
sind (☰ → Domains). Subdomains (bspw. `informatik.kit.edu`) brauchen entweder einen expliziten Eintrag oder einen
Wildcard-Eintrag (`*.kit.edu`).

!!! bug "Ich hab keine Lust mehr, hier weiterzuschreiben…"
    Alles weitere siehe [CA-interne Doku](https://gitlab.kit.edu/kit/kit-ca/paperwork/dokumentation/-/wikis/%C3%9Cbergangsprozess%20TCS%20Client-Zertifikate).